#!/bin/sh

# DAMO_INSTALL goes into ~notesbackup
installdir="/home/notesbackup/Files"
DAMOdir="DAMO_INSTALL"
installDAMOdir="$installdir/$DAMOdir"

# copy DAMO_INSTALL directory to installdir
cp -a "$DAMOdir" "$installdir"
cp -a uninstall.sh "$installDAMOdir"
chown -R notes.notes "$installDAMOdir"
chmod -R 755 "$installDAMOdir"

# set the app express sections and uninstaller
export UNICONF=unix:/tmp/uniconfd
uni set "cfg/appexpress/DAMO/name" "DAMO for Lotus Foundations Start"
uni set "cfg/appexpress/DAMO/domino client" "1"
uni set "cfg/appexpress/DAMO/build" "4341"
uni set "cfg/appexpress/DAMO/uninstall" "$installDAMOdir/uninstall.sh"

# set and clear the 'newclientinstaller' key to signal
# NDC to re-check for new installers
export UNICONF=unix:/tmp/uniconfd
uni set "tmp/nitixblue/newclientinstaller" "DAMO"
uni set "tmp/nitixblue/newclientinstaller"
